
Foreman - Bug #32688

Tracker # 32684 (Closed): Ruby 3.0 support

app/models/concerns/has_many_common.rb is incompatible with Ruby 3

06/01/2021 12:28 PM - Ewoud Kohl van Wijngaarden

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

/home/ekohl/.gem/ruby/gems/activerecord-6.0.3.7/lib/active_record/associations.rb:1370:in `has_man

y': wrong number of arguments (given 3, expected 1..2) (ArgumentError)

    from /home/ekohl/dev/foreman/app/models/concerns/has_many_common.rb:48:in `has_many'

    from /home/ekohl/.gem/ruby/gems/audited-4.10.0/lib/audited/auditor.rb:80:in `audited'

 This is because it uses *args instead of **kwargs.

Related issues:

Is duplicate of Foreman - Bug #35300: Incorrect method signatures with keywor... Closed

History

#1 - 06/01/2021 12:28 PM - Ewoud Kohl van Wijngaarden

- Blocks Tracker #32684: Ruby 3.0 support added

#2 - 09/08/2022 04:13 PM - Ewoud Kohl van Wijngaarden

- Category set to Rails

- Parent task set to #32684

#3 - 09/08/2022 04:14 PM - Ewoud Kohl van Wijngaarden

- Is duplicate of Bug #35300: Incorrect method signatures with keyword arguments added

#4 - 09/08/2022 04:32 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Duplicate

I forgot I already reported this. #35300 already has a PR.
